#ifndef SPEED_H
#define SPEED_H

extern void	  speed_up_node();
extern void	  speed_up_loop();
extern array_t    *speed_decomp();

extern int buffer_network();

/*
 * some of the low level buffering stuff ...
 * The data structures are exported for the mapper to interface with buffering
 */

typedef struct sp_fanout_struct{
    int pin;
    double load;
    node_t *fanout;
    delay_time_t req;
    pin_phase_t phase;
    } sp_fanout_t;

typedef struct buffer_alg_input_struct buf_alg_input_t;
struct buffer_alg_input_struct {
    node_t *node;
    node_t *inv_node;
    sp_fanout_t *fanouts;
    int num_pos;
    int num_neg;
    };


extern int sp_buffer_recur();		/* For the map package */
extern void buffer_init_globals();	/* For the map package */
extern void buf_add_implementation();
extern void buf_set_prev_drive();
extern void buf_set_prev_phase();
extern void buf_set_required_time_at_input();
extern double buf_get_auto_route();
extern delay_model_t buf_get_model();
extern delay_time_t buf_get_required_time_at_input();

#endif
