# Convert from Oct Symbolic layers to MOSIS P-well layers

property EDITSTYLE = PHYSICAL;
property VIEWTYPE = PHYSICAL;
property TECHNOLOGY = mosis;

options flatten_connectors scale=15/2 map_terminals_to_labels;

labels CMF = MET1;
labels CMS = MET2;
labels CPG = POLY;
labels CAA = NDIF;
labels CAA = PDIF;

# Plug diffusion
NDIF = (NDIF - grow(COPS, 150)) + grow(CONS, 150);
PDIF = (PDIF - grow(CONS, 150)) + grow(COPS, 150);

# Temporary layers for substrate diffusions:
NSUB = (NDIF * NWEL) + grow(CONS, 150);
PSUB = (PDIF * PWEL) + grow(COPS, 150);

# Generate the MOSIS CIF layers:
CAA = NDIF + PDIF;
CCA = COND + COPD + CONS + COPS;
CCP = COPO;
CMF = MET1;
CMS = MET2;
CPG = POLY;
CSP = grow(grow(grow(grow(PDIF, 300) - NDIF, -160), 310), -150);
CVA = COM2;
CWP = grow(grow(PWEL + grow(NDIF - NSUB, 750) + grow(PSUB, 450), 450), -450);
COG = GLAS;

delete PLAC;
delete MET1 MET2 POLY COM2 COND;
delete COPD CONS COPS COPO;
delete NDIF PDIF NWEL PWEL GLAS;
delete NSND PSPD NSUB PSUB;


